<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2026. WebPros International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="plesk_common.xsd"/>
	<xs:include schemaLocation="plesk_domain.xsd"/>
	<xs:complexType name="DatabaseSetDBInputType">
		<xs:sequence>
			<xs:element name="db-id" type="id_type"/>
			<xs:element name="default-user-id" type="id_type">
				<xs:annotation>
					<xs:documentation>Default for DB WebAdmin</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseInputType">
		<xs:choice maxOccurs="unbounded">
			<xs:element name="add-db" type="DatabaseAddDbInputType"/>
			<xs:element name="del-db" type="DatabaseGetDBInputType"/>
			<xs:element name="get-db" type="DatabaseDelDbInputType"/>
			<xs:element name="set-default-user" type="DatabaseSetDBInputType"/>
			<xs:element name="get-default-user" type="DatabaseGetDBInputType"/>
			<xs:element name="add-db-user" type="DatabaseAddDBUserInputType"/>
			<xs:element name="del-db-user" type="DatabaseDelDBUserInputType"/>
			<xs:element name="get-db-users" type="DatabaseGetDBInputType"/>
			<xs:element name="set-db-user" type="DatabaseSetDBUserInputType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="DatabaseAddDbInputType">
		<xs:sequence>
			<xs:element name="domain-id" type="id_type"/>
			<xs:element name="name" type="string"/>
			<xs:element name="type" type="string"/>
			<xs:element name="db-server-id" type="id_type" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Required for Plesk Administartor of Plesk for Unix only </xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseDelDbInputType">
		<xs:sequence>
			<xs:element name="filter" type="DatabaseFilterType"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseFilterType">
		<xs:choice minOccurs="0">
			<xs:element name="id" maxOccurs="unbounded"/>
			<xs:element name="domain-id" type="id_type" maxOccurs="unbounded"/>
			<xs:element name="domain-name" type="domainName" maxOccurs="unbounded"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="DatabaseGetDBInputType">
		<xs:sequence>
			<xs:element name="filter" type="DatabaseDefaultUserFilterType"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseAddDBUserInputType">
		<xs:sequence>
			<xs:element name="db-id" type="id_type"/>
			<xs:element name="login" type="string"/>
			<xs:sequence>
				<xs:element name="password" type="string"/>
				<xs:element name="password-type" type="passwdType" minOccurs="0"/>
			</xs:sequence>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseDelDBUserInputType">
		<xs:sequence>
			<xs:element name="filter" type="DatabaseUserFilterType"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseUserFilterType">
		<xs:choice minOccurs="0">
			<xs:element name="id" type="id_type" maxOccurs="unbounded"/>
			<xs:element name="db-id" type="id_type" maxOccurs="unbounded"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="DatabaseGetDBUsersInputType">
		<xs:sequence>
			<xs:element name="filter" type="DatabaseUserFilterType"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseSetDBUserInputType">
		<xs:sequence>
			<xs:element name="id" type="id_type"/>
			<xs:element name="login" type="string" minOccurs="0"/>
			<xs:sequence minOccurs="0">
				<xs:element name="password" type="string"/>
				<xs:element name="password-type" type="passwdType" minOccurs="0"/>
			</xs:sequence>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseDBFilterType">
		<xs:sequence>
			<xs:element name="db-id" minOccurs="0" maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>Database indentifier</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseGetDefaultUserInputType">
		<xs:sequence>
			<xs:element name="filter" type="DatabaseDBFilterType"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="DatabaseDefaultUserFilterType">
		<xs:choice minOccurs="0">
			<xs:element name="db-id" type="id_type" maxOccurs="unbounded"/>
		</xs:choice>
	</xs:complexType>
</xs:schema>
